Bug 243686

Summary: mod_auth_kerb on fc6 doesn't work - Unspecified GSS failure - (Cannot allocate memory)
Product: [Fedora] Fedora Reporter: Matthew Hannigan <mlh>
Component: krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 6CC: jorton, mindaugas, nutello, sputhenp, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 15:40:51 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Matthew Hannigan 2007-06-11 08:56:11 EDT
I cannot get mod_auth_kerb on fc6 to work.

I can get fedora5, fedora7, rhel4u3 but /not/ fedora6 to work,
using the same realm, same /etc/krb5.conf,
at two different sites. 
At one site, the fedora6 is unpatched, at the other
it is fully patched.

The error in error_log is:

gss_accept_sec_context() failed: Unspecified GSS failure.  Minor code
may provide more information (Cannot allocate memory) 

I found another at least one other report similar
to mine, for someone trying apache 2.0.59 on fedora6:
http://tinyurl.com/2lc8at
(which is:
http://groups.google.com.au/group/comp.protocols.kerberos/browse_thread/thread/13b5c94adf297e62/469369bdba5eb062%23469369bdba5eb062
)

Using firebug on firefox, wireshark, kerbtray,
shows everything working as expected, but somehow
fedora6 doesn't like the final http request with the
kerberos negotiate header.

I've triply checked the configurations and duplicated
this now at two sites.

I'd be interested in any 'works-for-me' at the
very least!
Comment 1 Matthew Hannigan 2007-06-11 09:06:47 EDT
Another report, back in Nov 2006:
http://osdir.com/ml/apache.mod-auth-kerb.general/2006-11/msg00069.html

This was also for 2.0.59 on fedora6 as per other report.

I am however using all and only fedora6 rpms, installed via yum.
Comment 2 Matthew Hannigan 2007-06-11 19:18:55 EDT
updated title to be more descriptive
(however needless to say, the problem is not a lack of memory!)
Comment 3 Matthew Hannigan 2007-06-12 00:07:09 EDT
server in both cases for me was windows 2003 sp1
Comment 4 Mindaugas Riauba 2007-07-26 05:40:42 EDT
The same problem here in fully updated RHEL5.

Also I found description of the problem and the solution in:
http://sourceforge.net/mailarchive/forum.php?thread_name=2306E39C-CE49-4CC2-
A902-4AE1C40E486E%40neosaint.org&forum_name=modauthkerb-help
Comment 5 Joe Orton 2007-07-26 05:44:58 EDT
This supposedly a bug in the krb5 library, according to the diagnosis on the
modauthkerb list.  I don't have a repro case for this though.

Mindaugas - how do you reproduce the problem?  Is the key the use of the Win2K3 KDC?
Comment 6 Joe Orton 2007-07-26 06:06:37 EDT
Ah, this is known and is tracked as bug 238847 for RHEL5.
Comment 7 Mindaugas Riauba 2007-07-26 06:27:43 EDT
  I can test some binary .rpm (64bit) if the problem is fixed. Maybe there 
exists some testing RPMs? In Fastrack?

  And yes - server is Win2003 server with SP1 installed.

Principal was initialized with command:
kinit -k -t /etc/httpd/conf/ssmonkeytab HTTP/ssmon.bite.lt

# cat krb5.conf 
[logging]
 default = FILE:/var/log/krb5libs.log
 kdc = FILE:/var/log/krb5kdc.log
 admin_server = FILE:/var/log/kadmind.log

[libdefaults]
 default_realm = BITE.LT
 dns_lookup_realm = false
 dns_lookup_kdc = false
 ticket_lifetime = 24h
 forwardable = yes

[realms]
 BITE.LT = {
  kdc = 172.20.0.5
  admin_server = 172.20.0.5
  default_domain = bite.lt
 }

[domain_realm]
 .bite.lt = BITE.LT

[kdc]
 profile = /var/kerberos/krb5kdc/kdc.conf

[appdefaults]
 pam = {
   debug = false
   ticket_lifetime = 36000
   renew_lifetime = 36000
   forwardable = true
   krb4_convert = false
 }

# cat kerb.conf
<Directory /var/www/fruity>
    AuthType Kerberos
    AuthName "Kerberos Login"
    KrbAuthRealms BITE.LT
    KrbServiceName HTTP
    Krb5Keytab /etc/httpd/conf/ssmonkeytab
    KrbMethodNegotiate on
    KrbMethodK5Passwd off
    require valid-user
</Directory>
Comment 8 Nalin Dahyabhai 2008-03-18 11:54:04 EDT
Sorry, FC6 went end-of-life before I got a fix out for it.  F7 and later include
1.6 or later, which fixed this.  Going to close this with resolution
current-release.
Comment 9 Bug Zapper 2008-04-04 03:23:53 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 15:40:49 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.